using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace atakanozbancom.Models.classes
{
    [Table("affiliatelinktranslations")]
    public class affiliatelinktranslation
    {
        public int id { get; set; }

        [Required]
        public int affiliatelink_id { get; set; }

        [Required, StringLength(10)]
        public string culture { get; set; }

        [StringLength(255)]
        public string title { get; set; }

        public string description { get; set; }

        [ForeignKey("affiliatelink_id")]
        public virtual affiliatelink AffiliateLink { get; set; }
    }
}
